ur_rna.GUITester.GuiTools.Matchers

## Class ComposableBase

- java.lang.Object
- - ur_rna.GUITester.GuiTools.Matchers.ComposableBase

- All Implemented Interfaces:
    abbot.finder.Matcher, ComposableMatcher
  Direct Known Subclasses:
    ClassMatcher, ComposableBase.BinaryMatcher, ComposableBase.Identity, ComposableBase.Inverse, DescriptionMatcher, VisibilityMatcher

      public abstract class ComposableBase
      extends java.lang.Object
      implements ComposableMatcher

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ComposableBase.BinaryMatcher`
    `protected static class` | `ComposableBase.Identity`
    `protected static class` | `ComposableBase.Inverse`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ComposableMatcher` | `FALSE`
    `static ComposableMatcher` | `TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComposableBase()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComposableMatcher` | `and(abbot.finder.Matcher other)`
    `static ComposableMatcher` | `composable(abbot.finder.Matcher m)`
    `abbot.finder.Matcher[]` | `getChildMatchers()` Return an array of all Matchers that are immediate descendants of this one, or an empty array if there are none.
    `protected static ComposableMatcher` | `identity(abbot.finder.Matcher operand)`
    `ComposableMatcher` | `inverse()`
    `static ComposableMatcher` | `inverse(abbot.finder.Matcher operand)`
    `ComposableMatcher` | `or(abbot.finder.Matcher other)`
    `abbot.finder.Matcher` | `self()`
    `ComposableMatcher` | `simplify()`
    `protected static ComposableMatcher` | `simplify(abbot.finder.Matcher m)`
    `java.lang.String` | `toString()`
    `ComposableMatcher` | `withText(java.lang.String text)`
    `ComposableMatcher` | `withText(java.lang.String text, boolean searchCaption, boolean searchText, boolean searchName)`
    `ComposableMatcher` | `withText(java.lang.String text, int searchScope)`
    `ComposableMatcher` | `xor(abbot.finder.Matcher other)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface abbot.finder.Matcher

      `matches`

- - ### Field Detail

    - #### FALSE

          public static final ComposableMatcher FALSE

    - #### TRUE

          public static final ComposableMatcher TRUE

  - ### Constructor Detail

    - #### ComposableBase

          public ComposableBase()

  - ### Method Detail

    - #### and

          public ComposableMatcher and(abbot.finder.Matcher other)

      Specified by:
        `and` in interface `ComposableMatcher`

    - #### composable

          public static ComposableMatcher composable(abbot.finder.Matcher m)

    - #### getChildMatchers

          public abbot.finder.Matcher[] getChildMatchers()

      Description copied from interface: `ComposableMatcher`
      Return an array of all Matchers that are immediate descendants of this one, or an empty array if there are none.
      Specified by:
        `getChildMatchers` in interface `ComposableMatcher`
      Returns:
        A non-null array of Matchers.

    - #### identity

          protected static ComposableMatcher identity(abbot.finder.Matcher operand)

    - #### inverse

          public ComposableMatcher inverse()

      Specified by:
        `inverse` in interface `ComposableMatcher`

    - #### inverse

          public static ComposableMatcher inverse(abbot.finder.Matcher operand)

    - #### or

          public ComposableMatcher or(abbot.finder.Matcher other)

      Specified by:
        `or` in interface `ComposableMatcher`

    - #### self

          public abbot.finder.Matcher self()

      Specified by:
        `self` in interface `ComposableMatcher`

    - #### simplify

          public ComposableMatcher simplify()

      Specified by:
        `simplify` in interface `ComposableMatcher`

    - #### simplify

          protected static ComposableMatcher simplify(abbot.finder.Matcher m)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### withText

          public ComposableMatcher withText(java.lang.String text)

    - #### withText

          public ComposableMatcher withText(java.lang.String text,
                                            boolean searchCaption,
                                            boolean searchText,
                                            boolean searchName)

    - #### withText

          public ComposableMatcher withText(java.lang.String text,
                                            int searchScope)

    - #### xor

          public ComposableMatcher xor(abbot.finder.Matcher other)

      Specified by:
        `xor` in interface `ComposableMatcher`